import { ToggleMenuButtonProps } from '../Menu';
import { ComponentProps, ComponentType, JSX, PropsWithChildren } from 'react';
import { Placement } from '@floating-ui/react';
export type IconButtonWithMenuProps<E extends HTMLElement = HTMLButtonElement> = PropsWithChildren<{
    active?: boolean;
    Menu?: ComponentType | JSX.Element;
    caption?: string;
    className?: string;
    menuPlacement?: Placement;
    menuOffset?: number;
    ToggleMenuButton?: ComponentType<ToggleMenuButtonProps<E>>;
    variant?: 'primary' | 'secondary';
    onMenuToggle?: (menuShown: boolean) => void;
}> & ComponentProps<'button'>;
export declare const CompositeButton: import("react").ForwardRefExoticComponent<Omit<IconButtonWithMenuProps<HTMLButtonElement>, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
